Bug 476819 - 1st launch of qpid-tool dumps python 2.3 FutureWarnings on RHEL 4.7
1st launch of qpid-tool dumps python 2.3 FutureWarnings on RHEL 4.7
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
1.1
All Linux
low Severity low
: 1.3
: ---
Assigned To: Rafael H. Schloming
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 05:52 EST by Frantisek Reznicek
Modified: 2015-11-15 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 12:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2008-12-17 05:52:09 EST
Description of problem:
1st call of qpid-tool gives python 2.3 FutureWarning messages:
  FutureWarning: hex/oct constants > sys.maxint will return positive values in
  Python 2.4 and up self.value = value & 0xFFFFFFFF

Seen on RHEL 4.7 i386.

Version-Release number of selected component (if applicable):
[root@nec-em12 cumin-testing]# rpm -qa | egrep '(qpid|rhm)'
qpidc-0.4.725652-5.el4
qpidd-xml-0.4.725652-5.el4
qpidc-perftest-0.4.725652-5.el4
qpidd-0.4.725652-5.el4
qpidc-ssl-0.4.725652-5.el4
python-qpid-0.3.722953-1.el4
qpidd-ssl-0.4.725652-5.el4
qpidd-acl-0.4.725652-5.el4
qpid-java-common-0.3.724504-1.el4
qpid-java-client-0.3.724504-1.el4
qpidc-devel-0.4.725652-5.el4
qpidd-devel-0.4.725652-5.el4
rhm-0.4.2970-1.el4
rhm-docs-0.3.725668-3.el4


How reproducible:
100%

Steps to Reproduce:
1. install MRG Messaging and MRG Management on clean machine (RHTS)
2. run qpid-tool
  
Actual results:

[root@nec-em12 cumin-testing]# qpid-tool
/usr/lib/python2.3/site-packages/qpid/datatypes.py:128: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.value = value & 0xFFFFFFFF
/usr/lib/python2.3/site-packages/qpid/datatypes.py:139: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  delta = (self.value - other.value) & 0xFFFFFFFF
/usr/lib/python2.3/site-packages/qpid/datatypes.py:140: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  neg = delta & 0x80000000
/usr/lib/python2.3/site-packages/qpid/peer.py:463: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  self.channel.execution_complete(cumulative_execution_mark=0xFFFFFFFF, ranged_execution_set=range)
/usr/lib/python2.3/site-packages/qpid/management.py:180: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  ssn.message_flow (destination="tdest", unit=0, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qpid/management.py:181: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  ssn.message_flow (destination="tdest", unit=1, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qpid/management.py:184: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  ssn.message_flow (destination="rdest", unit=0, value=0xFFFFFFFF)
/usr/lib/python2.3/site-packages/qpid/management.py:185: FutureWarning: hex/oct constants > sys.maxint will return positive values in Python 2.4 and up
  ssn.message_flow (destination="rdest", unit=1, value=0xFFFFFFFF)
Management Tool for QPID
qpid: quit
Exiting...


Expected results:
No future warnings.

Additional info:

Low severity & priority
Comment 1 Gordon Sim 2009-02-17 07:09:10 EST
Rafi, is there a simple solution here or do we mark this as wont-fix?

Note You need to log in before you can comment on or make changes to this bug.